package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.exception.TranFailException;
import java.util.StringTokenizer;
import ocx.AESWithJCE;
import org.apache.commons.lang.StringUtils;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/DescryptAESWithJCEAction.class */
public class DescryptAESWithJCEAction extends LifeAction {
    private String cryptPasswor;
    private String decryptPasswor;
    private String randomKey;

    public String execute(Context context) throws GENEException {
        if (StringUtils.isEmpty(this.cryptPasswor) || StringUtils.isEmpty(this.decryptPasswor) || StringUtils.isEmpty(this.randomKey)) {
            throw new TranFailException("控件解密必须参数配置为空");
        }
        StringTokenizer crSt = new StringTokenizer(this.cryptPasswor, ",");
        StringTokenizer deSt = new StringTokenizer(this.decryptPasswor, ",");
        StringTokenizer keySt = new StringTokenizer(this.randomKey, ",");
        boolean errorFlag = false;
        while (crSt.hasMoreTokens() && deSt.hasMoreTokens() && keySt.hasMoreTokens()) {
            try {
                String crStField = (String) crSt.nextElement();
                String deStField = (String) deSt.nextElement();
                String keyStField = (String) keySt.nextElement();
                String crPassord = (String) context.getDataValue(crStField);
                String randomField = (String) context.getDataValue(keyStField);
                String password = AESWithJCE.getResult(randomField, crPassord);
                System.out.println("++++++++++++++++++++".concat(String.valueOf(crPassord)));
                System.out.println("++++++++++++++++++++".concat(String.valueOf(randomField)));
                System.out.println("========================".concat(String.valueOf(password)));
                context.setDataValue(deStField, password);
            } catch (Exception unused) {
                errorFlag = true;
            }
        }
        if (errorFlag) {
            throw new TranFailException("PBPUB001", "密码控件解密失败");
        }
        return "0";
    }

    public void setCryptPasswor(String cryptPasswor) {
        this.cryptPasswor = cryptPasswor;
    }

    public void setDecryptPasswor(String decryptPasswor) {
        this.decryptPasswor = decryptPasswor;
    }

    public void setRandomKey(String randomKey) {
        this.randomKey = randomKey;
    }
}
